# GazelleStyleguide

This gem bundles up Gazelle's style guides for Ruby, JavaScript, CoffeeScript, SCSS, CSS, JSON, and YAML.

## Installation

Add this line to your application's Gemfile:

    gem 'gazelle_styleguide'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install gazelle_styleguide

## Usage

To install the pre-commit hook, run:

``` bash
gazelle_styleguide init
```

To lint all new and changed files, run:

``` bash
gazelle_styleguide lint
```

To lint all files, run:

``` bash
gazelle_styleguide lint -a
```

To lint specific files, run:

``` bash
gazelle_styleguide lint FILES
```

## Contributing

1. Fork it ( http://github.com/secondrotation/gazelle_styleguide/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
