# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gazelle_styleguide/version'

Gem::Specification.new do |spec|
  spec.name          = "gazelle_styleguide"
  spec.version       = GazelleStyleguide::VERSION
  spec.authors       = ["Allen Madsen"]
  spec.email         = ["blatyo@gmail.com"]
  spec.summary       = %q{Gazelle's coding style guidelines and checks}
  spec.description   = %q{Gazelle's coding style guidelines and checks}
  spec.homepage      = "https://github.com/secondrotation/gazelle_styleguide"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'pre-commit'
  spec.add_runtime_dependency 'pre-commit-checkstyle'
  spec.add_runtime_dependency 'rubocop'
  spec.add_runtime_dependency 'execjs'
  spec.add_runtime_dependency 'grit'
  spec.add_runtime_dependency 'thor'

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
